package sk.upjs.ics.debilnicek;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class DatabaseTaskDao extends SQLiteOpenHelper implements TaskDao {

	public DatabaseTaskDao(Context context) {
		super(context, "tasks", null, 1);
	}

	@Override
	public List<Task> listTasks() {
		List<Task> tasks = new ArrayList<Task>();
		
		Cursor cursor = getReadableDatabase().query("task", null, null, null, null, null, null);
		while(cursor.moveToNext()) {
			Task task = new Task();
			task.setText(cursor.getString(1));
			task.setDeadline(new Date(cursor.getLong(2)));
			tasks.add(task);
		}
		return tasks;
	}

	@Override
	public void add(Task task) {
		// do nothing
	}

	@Override
	public void onCreate(SQLiteDatabase db) {
		String createSql = "CREATE TABLE task (ID INTEGER PRIMARY KEY NOT NULL, text VARCHAR(255), deadline INTEGEr)";		
		db.execSQL(createSql);
		
		db.execSQL("INSERT INTO task VALUES(1, 'Ist na cviko', 100)");
		db.execSQL("INSERT INTO task VALUES(2, 'Ist pit', 100)");
		db.execSQL("INSERT INTO task VALUES(3, 'Ist spat', 100)");
	}

	@Override
	public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		// do nothing
	}
	
}
